:tocdepth: 3

base/init-default.zeek
======================

This script loads everything in the base/ script directory.  If you want
to run Zeek without all of these scripts loaded by default, you can use
the ``-b`` (``--bare-mode``) command line argument.  You can also copy the
"@load" lines from this script to your own script to load only the scripts
that you actually want.

:Imports: :doc:`base/files/extract </scripts/base/files/extract/index>`, :doc:`base/files/hash </scripts/base/files/hash/index>`, :doc:`base/files/pe </scripts/base/files/pe/index>`, :doc:`base/files/x509 </scripts/base/files/x509/index>`, :doc:`base/frameworks/analyzer </scripts/base/frameworks/analyzer/index>`, :doc:`base/frameworks/cluster </scripts/base/frameworks/cluster/index>`, :doc:`base/frameworks/config </scripts/base/frameworks/config/index>`, :doc:`base/frameworks/control </scripts/base/frameworks/control/index>`, :doc:`base/frameworks/intel </scripts/base/frameworks/intel/index>`, :doc:`base/frameworks/netcontrol </scripts/base/frameworks/netcontrol/index>`, :doc:`base/frameworks/notice </scripts/base/frameworks/notice/index>`, :doc:`base/frameworks/openflow </scripts/base/frameworks/openflow/index>`, :doc:`base/frameworks/packet-filter </scripts/base/frameworks/packet-filter/index>`, :doc:`base/frameworks/reporter </scripts/base/frameworks/reporter/index>`, :doc:`base/frameworks/signatures </scripts/base/frameworks/signatures/index>`, :doc:`base/frameworks/software </scripts/base/frameworks/software/index>`, :doc:`base/frameworks/sumstats </scripts/base/frameworks/sumstats/index>`, :doc:`base/frameworks/telemetry </scripts/base/frameworks/telemetry/index>`, :doc:`base/frameworks/tunnels </scripts/base/frameworks/tunnels/index>`, :doc:`base/misc/find-checksum-offloading.zeek </scripts/base/misc/find-checksum-offloading.zeek>`, :doc:`base/misc/find-filtered-trace.zeek </scripts/base/misc/find-filtered-trace.zeek>`, :doc:`base/misc/installation.zeek </scripts/base/misc/installation.zeek>`, :doc:`base/misc/version.zeek </scripts/base/misc/version.zeek>`, :doc:`base/protocols/conn </scripts/base/protocols/conn/index>`, :doc:`base/protocols/dce-rpc </scripts/base/protocols/dce-rpc/index>`, :doc:`base/protocols/dhcp </scripts/base/protocols/dhcp/index>`, :doc:`base/protocols/dnp3 </scripts/base/protocols/dnp3/index>`, :doc:`base/protocols/dns </scripts/base/protocols/dns/index>`, :doc:`base/protocols/ftp </scripts/base/protocols/ftp/index>`, :doc:`base/protocols/http </scripts/base/protocols/http/index>`, :doc:`base/protocols/imap </scripts/base/protocols/imap/index>`, :doc:`base/protocols/irc </scripts/base/protocols/irc/index>`, :doc:`base/protocols/krb </scripts/base/protocols/krb/index>`, :doc:`base/protocols/modbus </scripts/base/protocols/modbus/index>`, :doc:`base/protocols/mqtt </scripts/base/protocols/mqtt/index>`, :doc:`base/protocols/mysql </scripts/base/protocols/mysql/index>`, :doc:`base/protocols/ntlm </scripts/base/protocols/ntlm/index>`, :doc:`base/protocols/ntp </scripts/base/protocols/ntp/index>`, :doc:`base/protocols/pop3 </scripts/base/protocols/pop3/index>`, :doc:`base/protocols/radius </scripts/base/protocols/radius/index>`, :doc:`base/protocols/rdp </scripts/base/protocols/rdp/index>`, :doc:`base/protocols/rfb </scripts/base/protocols/rfb/index>`, :doc:`base/protocols/sip </scripts/base/protocols/sip/index>`, :doc:`base/protocols/smb </scripts/base/protocols/smb/index>`, :doc:`base/protocols/smtp </scripts/base/protocols/smtp/index>`, :doc:`base/protocols/snmp </scripts/base/protocols/snmp/index>`, :doc:`base/protocols/socks </scripts/base/protocols/socks/index>`, :doc:`base/protocols/ssh </scripts/base/protocols/ssh/index>`, :doc:`base/protocols/ssl </scripts/base/protocols/ssl/index>`, :doc:`base/protocols/syslog </scripts/base/protocols/syslog/index>`, :doc:`base/protocols/tunnels </scripts/base/protocols/tunnels/index>`, :doc:`base/protocols/xmpp </scripts/base/protocols/xmpp/index>`, :doc:`base/utils/active-http.zeek </scripts/base/utils/active-http.zeek>`, :doc:`base/utils/addrs.zeek </scripts/base/utils/addrs.zeek>`, :doc:`base/utils/backtrace.zeek </scripts/base/utils/backtrace.zeek>`, :doc:`base/utils/conn-ids.zeek </scripts/base/utils/conn-ids.zeek>`, :doc:`base/utils/dir.zeek </scripts/base/utils/dir.zeek>`, :doc:`base/utils/directions-and-hosts.zeek </scripts/base/utils/directions-and-hosts.zeek>`, :doc:`base/utils/email.zeek </scripts/base/utils/email.zeek>`, :doc:`base/utils/exec.zeek </scripts/base/utils/exec.zeek>`, :doc:`base/utils/files.zeek </scripts/base/utils/files.zeek>`, :doc:`base/utils/geoip-distance.zeek </scripts/base/utils/geoip-distance.zeek>`, :doc:`base/utils/hash_hrw.zeek </scripts/base/utils/hash_hrw.zeek>`, :doc:`base/utils/numbers.zeek </scripts/base/utils/numbers.zeek>`, :doc:`base/utils/paths.zeek </scripts/base/utils/paths.zeek>`, :doc:`base/utils/patterns.zeek </scripts/base/utils/patterns.zeek>`, :doc:`base/utils/queue.zeek </scripts/base/utils/queue.zeek>`, :doc:`base/utils/site.zeek </scripts/base/utils/site.zeek>`, :doc:`base/utils/strings.zeek </scripts/base/utils/strings.zeek>`, :doc:`base/utils/thresholds.zeek </scripts/base/utils/thresholds.zeek>`, :doc:`base/utils/time.zeek </scripts/base/utils/time.zeek>`, :doc:`base/utils/urls.zeek </scripts/base/utils/urls.zeek>`

Summary
~~~~~~~

Detailed Interface
~~~~~~~~~~~~~~~~~~

